POST api/campaigns/preview
Request Information
URI Parameters
None.
Body Parameters
CampaignPreviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| CampaignId | globally unique identifier |
None. |
|
| ToPersonIds | Collection of globally unique identifier |
None. |
|
| IsNewPerson | boolean |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| ProductIds | Collection of string |
None. |
|
| FilterIds | Collection of globally unique identifier |
None. |
|
| FilterMaxCount | integer |
None. |
|
| FilterNoOrderInDays | integer |
None. |
|
| FilterNoCampaignInDays | integer |
None. |
|
| FilterMustNotBeStopped | boolean |
None. |
|
| FilterOrderOnProducts | Collection of globally unique identifier |
None. |
|
| FilterOrderOnCampaigns | Collection of globally unique identifier |
None. |
|
| DestinationType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"campaignId": "77e09634-0808-4cb4-84a8-8ab3bf7b19d8",
"toPersonIds": [
"220adf4f-e0e9-46f3-90a0-5275379ca08f",
"145553a3-9f02-433d-a15d-6ba6b247ea9f"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"df888e92-d34b-426b-9d45-c26cef76b6ea",
"f6db8079-4898-4cd7-8420-b823757fb2a9"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"551b3624-ece6-45ba-9e94-94c2054a6210",
"9af5ba98-59c0-4743-abb7-149f32c082a0"
],
"filterOrderOnCampaigns": [
"116e40ec-0659-48e2-819f-30a33762c5e4",
"2561ce9d-4efc-4bbc-83a5-4e2841b181be"
],
"destinationType": "sample string 13"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.